Extending Qt Creator Manual | JsonWizardPageFactory

Extending Qt Creator Manual 4.5.2

# JsonWizardPageFactory Class

(ProjectExplorer::JsonWizardPageFactory)

- List of all members, including inherited members

## Public Functions

virtual | ~JsonWizardPageFactory()
bool | canCreate(Core::Id typeId) const
virtual Utils::WizardPage * | create(JsonWizard *wizard, Core::Id typeId, const QVariant &data) = 0
QList<Core::Id> | supportedIds() const
virtual bool | validateData(Core::Id typeId, const QVariant &data, QString *errorMessage) = 0

## Protected Functions

void | setTypeIdsSuffix(const QString &suffix)
void | setTypeIdsSuffixes(const QStringList &suffixes)

## Member Function Documentation

### `[virtual]` JsonWizardPageFactory::~JsonWizardPageFactory()

Destroys the instance of JsonWizardPageFactory. The destructor is virtual.

### bool JsonWizardPageFactory::canCreate(Core::Id typeId) const

### `[pure virtual]` Utils::WizardPage *JsonWizardPageFactory::create(JsonWizard *wizard, Core::Id typeId, const QVariant &data)

### `[protected]` void JsonWizardPageFactory::setTypeIdsSuffix(const QString &suffix)

### `[protected]` void JsonWizardPageFactory::setTypeIdsSuffixes(const QStringList &suffixes)

### QList<Core::Id> JsonWizardPageFactory::supportedIds() const

### `[pure virtual]` bool JsonWizardPageFactory::validateData(Core::Id typeId, const QVariant &data, QString *errorMessage)